unit filename;

interface

uses dos, extstrings;

type
  TFileName = object
    Path: PathStr;
    Directory: DirStr;
    FileName: NameStr;
    Extension: ExtStr;
    procedure SetPath(APath: PathStr);
    function Exists: Boolean;
    function FileNameExt: String;
  end;

implementation

procedure TFileName.SetPath(APath: PathStr);
var i : Integer;
begin
  Path := APath;
  if Path <> '' then for i:=1 to length(Path) do
    Path[i] := LoCase(Path[i]);
  FSplit(Path, Directory, FileName, Extension);
  if Extension = '' then Extension := '.';
end;

function TFileName.FileNameExt: String;
begin
  FileNameExt := FileName+Extension;
end;

function TFileName.Exists: Boolean;
var
  F: file;
  Attr: Word;
begin
  Assign(F, FileName);
  GetFAttr(F, Attr);
  Exists := DosError = 0;
end;

end.
